<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * ログイン処理
 *
 * @package     Admin.User.Login
 * @author      netnee T.Otogawa <tomokazu.otogawa@netnee.jp>
 * @access      public
 */
class Admin_User_Login
{
    var $username;
    var $password;

    var $actionChain;

    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_User_Loginが実行されました", "Admin_User_Login#execute");

        $errorList =& $this->actionChain->getCurErrorList();
        
        $mailmatch = "/^[a-zA-Z0-9\"\._\?\+\/-]+\@(\[?)[a-zA-Z0-9\-\.]+\.([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/";
        if (!empty($this->username) && 
            !preg_match($mailmatch, $this->username)) {
            $errorList->add("auth", "管理者IDかパスワードが間違っています。");
            return "input";
        }
        if (!empty($this->password) && 
            !preg_match("/[a-zA-Z0-9]+/", $this->password)) {
            $errorList->add("auth", "管理者IDかパスワードが間違っています。");
            return "input";
        }
        

        return 'success';
    }
}
?>
